def bounds( letter, min, max )
	mid = (min+max)/2
	if min == mid
		if @a[max] == letter
			return [min,max]
		else
			return [min,min]
		end
	end
	current = @a[mid]
	if current < letter
		x,y = bounds( letter, mid, max )
		if @a[x] < letter
			min = max
		else
			min, max = x, y
		end
	elsif current > letter
		x,y = bounds( letter, min, mid )
		if @a[y] < letter
			min = max
		else
			min, max = x, y
		end
	else
		max,t = bounds( letter, mid, max )
		max = t if @a[t] == letter
		t,min = bounds( letter, min, mid )
		min = t if @a[t] == letter
	end
	[ min, max ]
end
